<?php
/* Mail Chimp support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('charity_is_hope_mailchimp_theme_setup')) {
	add_action( 'charity_is_hope_action_before_init_theme', 'charity_is_hope_mailchimp_theme_setup', 1 );
	function charity_is_hope_mailchimp_theme_setup() {
		if (is_admin()) {
			add_filter( 'charity_is_hope_filter_required_plugins',					'charity_is_hope_mailchimp_required_plugins' );
		}
	}
}

// Check if Instagram Feed installed and activated
if ( !function_exists( 'charity_is_hope_exists_mailchimp' ) ) {
	function charity_is_hope_exists_mailchimp() {
		return function_exists('mc4wp_load_plugin');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'charity_is_hope_mailchimp_required_plugins' ) ) {
	
	function charity_is_hope_mailchimp_required_plugins($list=array()) {
		if (in_array('mailchimp', charity_is_hope_storage_get('required_plugins')))
			$list[] = array(
				'name' 		=> esc_html__('MailChimp for WP', 'charity-is-hope'),
				'slug' 		=> 'mailchimp-for-wp',
				'required' 	=> false
			);
		return $list;
	}
}

?>